# Class StDBDeviceLocationUpdatePut

java.lang.Object
com.io7m.darco.api.DDatabaseQueryAbstract<StDatabaseTransactionType,StDeviceLocation,com.io7m.darco.api.DDatabaseUnit>
com.io7m.stonesignal.server.database.StDatabaseQueryAbstract<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit>
com.io7m.stonesignal.server.database.StDBDeviceLocationUpdatePut

All Implemented Interfaces:
  `com.io7m.darco.api.DDatabaseQueryType<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit>`, `StDBDeviceLocationUpdatePutType`

public final class StDBDeviceLocationUpdatePut extends StDatabaseQueryAbstract<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit> implements StDBDeviceLocationUpdatePutType
The device-location-update-put query.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `name()`
  `protected com.io7m.darco.api.DDatabaseUnit`
  `onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDeviceLocation update)`
  `static StDatabaseQueryProviderType<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit,StDBDeviceLocationUpdatePutType>`
  `provider()`

  ### Methods inherited from class com.io7m.stonesignal.server.database.StDatabaseQueryAbstract

  `attributes, context, context, objectMapper, onExecute, record`

  ### Methods inherited from class com.io7m.darco.api.DDatabaseQueryAbstract

  `execute, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.darco.api.DDatabaseQueryType

  `execute`

- ## Method Details

  - ### provider

    public static StDatabaseQueryProviderType<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit,StDBDeviceLocationUpdatePutType> provider()
    Returns:
      The query provider

  - ### onExecuteWithContext

    protected com.io7m.darco.api.DDatabaseUnit onExecuteWithContext(StDatabaseTransactionType transaction, org.jooq.DSLContext context, StDeviceLocation update) throws Exception
    Specified by:
      `onExecuteWithContext` in class `StDatabaseQueryAbstract<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit>`
    Throws:
      `Exception`

  - ### name

    protected String name()
    Specified by:
      `name` in class `StDatabaseQueryAbstract<StDeviceLocation,com.io7m.darco.api.DDatabaseUnit>`